Install Puppet Enterprise Server On CentOS 6

by
Share this Article: Facebook0Google+3Twitter13LinkedIn0Reddit0Pinterest0StumbleUpon1Digg

Puppet Enterprise is IT automation software that gives system administrators the power to easily automate repetitive tasks, quickly deploy critical applications, and proactively manage infrastructure, on-premises or in the cloud. Learn more about Puppet Enterprise below, or download now and manage up to 10 nodes free.

Install  Server

-Iptables  STOP (or  Configured)

-Selinux  Disabled

Edit /etc/host and IP and your hostname.

Download and unzip the package and run:

[root@master-unixmen puppet-enterprise-3.1.3-el-6-x86_64]# ./puppet-enterprise-installer
==============
Puppet Enterprise v3.1.3 installer

Puppet Enterprise documentation can be found at http://docs.puppetlabs.com/pe/3.1/

----------------------------------------------------------------------------------------------------------------------------------------------------------------------

STEP 1: SELECT AND CONFIGURE ROLES

   This installer lets you select and install the various roles required in a Puppet Enterprise deployment: puppet master, console, database, cloud provisioner, and p
   agent.

NOTE: when specifying hostnames during installation, use the fully-qualified domain name (foo.example.com) rather than a shortened name (foo).

-> puppet master

   The puppet master serves configurations to a group of puppet agent nodes. This role also provides MCollective's message queue and client interface. It should be
   installed on a robust, dedicated server.

?? Install puppet master? [y/N] y

-> standalone install

   You may choose to either install PuppetDB and the console on this node, or to install each service on its own node. If you choose not to install PuppetDB and the
   console on this node, you will be asked where to find them.

?? Install PuppetDB and console on this node? [Y/n] y

-> cloud provisioner

   The cloud provisioner can create and bootstrap new machine instances and add them to your Puppet infrastructure. It should be installed on a trusted node where sit
   administrators have shell access.

?? Install the cloud provisioner? [y/N] n

-> puppet agent

   The puppet agent role is automatically installed with the console, puppet master, puppetdb, and cloud provisioner roles.

?? The puppet master's certificate will contain a unique name ("certname"); this should be the main DNS name at which it can be reliably reached. Puppet master's cert
   [Default: master-unixmen]
?? The puppet master's certificate can contain DNS aliases; agent nodes will only trust the master if they reach it at its certname or one of these official aliases.
   Puppet master's DNS aliases (comma-separated list)? [Default: master-unixmen,puppet]

   The Puppet Enterprise console and PuppetDB require a PostgreSQL database and a user account able to edit it. Puppet Enterprise includes a Postgresql server which y
   can install locally, or you can specify an existing remote database (which must be configured and available prior to installing the console or PuppetDB).
?? Install the included Puppet Enterprise PostgreSQL server locally? [Y/n] y
?? Admin email address (will be used as account name) for accessing the console interface? webmaster@unixmen.com
?? Password for user webmaster@unixmen.com (minimum 8 characters)?
Confirm Password:

   The console requires an SMTP server to email account information to users.
?? What is the name of your SMTP server? mail.unixmen.com

-> Convenience Links

   The selected Puppet software will be installed into "/opt/puppet", which may not be included in your default shell PATH. For ease of use, this installer can create
   symbolic links to these executables in "/usr/local/bin".

?? Create symbolic links to Puppet executables in "/usr/local/bin"? [Y/n]

 === Existing Puppet Enterprise configuration detected ===

## It looks like Puppet Enterprise had been installed on this machine and it was uninstalled without the purge option (-p). The existing configuration cannot be reuse installer. You can either quit this installation or the installer can move your existing configuration to /etc/puppetlabs.<yyyymmddHHMMSS>.bak and create a new one.
?? Would you like to backup your existing configuration and continue installing Puppet Enterprise? [y/N] y

----------------------------------------------------------------------------------------------------------------------------------------------------------------------

STEP 2: CONFIRM PLAN

You have selected to install the following components (and their dependencies)
* Puppet Master
* PuppetDB
* Console
* Puppet Agent

?? Perform installation? [Y/n] y
==================================================================
Puppet Enterprise v3.1.3 uninstaller

==================================================================Options selected:
* Purge: Full uninstall

==================================================================
?? Uninstall Puppet Enterprise? [y/N] y

==================================================================
## Removing PE cronjobs...
## Stopping PE processes...
## Removing PE packages...
## Removing PE users and groups...
## Removing PE directories and files...
## Removing PE database files...
## Removing Puppet Labs rpm GPG key...
## Removing PE symlinks...

==================================================================
In order to successfully reinstall the agent role on this node, you will need to remove its certificate from the Puppet master.
To do that, run "puppet cert clean <node name>" on the Puppet master.

==================================================================
## Done!
## Answers saved in the following files: /root/puppet-enterprise-3.1.3-el-6-x86_64/answers.lastrun.master-unixmen and /etc/puppetlabs/installer/answers.install

==================================================================
STEP 3: INSTALL PACKAGES

## Installing packages from repositories...
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: mirrors.supportex.net
 * epel: be.mirror.eurid.eu
 * extras: mirror.yourwebhoster.eu
 * updates: mirror.prolocation.net
Setting up Install Process
Package libxslt-1.1.26-2.el6_3.1.x86_64 already installed and latest version
Package pciutils-3.1.10-2.el6.x86_64 already installed and latest version
Package 1:pkgconfig-0.23-9.1.el6.x86_64 already installed and latest version
Package zlib-1.2.3-29.el6.x86_64 already installed and latest version
Package virt-what-1.11-1.2.el6.x86_64 already installed and latest version
Package which-2.19-6.el6.x86_64 already installed and latest version
Package libxml2-2.7.6-14.el6.x86_64 already installed and latest version
Package 1:dmidecode-2.11-2.el6.x86_64 already installed and latest version
Package cronie-1.4.4-12.el6.x86_64 already installed and latest version
Package net-tools-1.60-110.el6_2.x86_64 already installed and latest version
Package libjpeg-turbo-1.2.1-3.el6_5.x86_64 already installed and latest version
Package apr-1.3.9-5.el6_2.x86_64 already installed and latest version
Package apr-util-1.3.9-3.el6_0.1.x86_64 already installed and latest version
Package curl-7.19.7-37.el6_4.x86_64 already installed and latest version
Package redhat-logos-60.0.14-12.el6.centos.noarch already installed and latest version
Package mailcap-2.1.31-2.el6.noarch already installed and latest version
Package apr-util-ldap-1.3.9-3.el6_0.1.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package pe-activemq.noarch 0:5.8.0-5.pe.el6 will be installed
---> Package pe-augeas.x86_64 0:1.1.0-1.pe.el6 will be installed
---> Package pe-bundler.noarch 0:1.3.5-2.pe.el6 will be installed
---> Package pe-certificate-manager.noarch 0:0.4.7-1.pe.el6 will be installed
---> Package pe-console.noarch 0:0.3.10-1.pe.el6 will be installed
---> Package pe-console-auth.noarch 0:1.2.21-1.pe.el6 will be installed
--> Processing Dependency: pe-ruby-mysql for package: pe-console-auth-1.2.21-1.pe.el6.noarch
---> Package pe-event-inspector.noarch 0:0.1.0-1.pe.el6 will be installed
---> Package pe-facter.x86_64 0:1.7.3.1-1.pe.el6 will be installed
---> Package pe-hiera.noarch 0:1.2.2.1-1.pe.el6 will be installed
---> Package pe-httpd.x86_64 0:2.2.25-4.pe.el6 will be installed
---> Package pe-java.x86_64 0:1.7.0.19-3.pe.el6 will be installed
---> Package pe-libevent.x86_64 0:2.0.13-5.el6 will be installed
---> Package pe-libyaml.x86_64 0:0.1.4-4.el6 will be installed
---> Package pe-license-status.noarch 0:0.1.5-1.pe.el6 will be installed
--> Processing Dependency: pe-license for package: pe-license-status-0.1.5-1.pe.el6.noarch
---> Package pe-live-management.noarch 0:1.2.16-1.pe.el6 will be installed
---> Package pe-mcollective.noarch 0:2.2.4-2.pe.el6 will be installed
---> Package pe-mcollective-client.noarch 0:2.2.4-2.pe.el6 will be installed
---> Package pe-mcollective-common.noarch 0:2.2.4-2.pe.el6 will be installed
---> Package pe-memcached.x86_64 0:1.4.7-6.pe.el6 will be installed
---> Package pe-mod_ssl.x86_64 1:2.2.25-4.pe.el6 will be installed
---> Package pe-passenger.x86_64 0:4.0.18-3.pe.el6 will be installed
---> Package pe-postgresql.x86_64 0:9.2.4-8.pe.el6 will be installed
---> Package pe-postgresql-server.x86_64 0:9.2.4-8.pe.el6 will be installed
---> Package pe-puppet.noarch 0:3.3.3.2-1.pe.el6 will be installed
---> Package pe-puppet-dashboard.x86_64 0:2.0.14-1.pe.el6 will be installed
---> Package pe-puppet-enterprise-release.noarch 0:3.1.3-1.pe.el6 will be installed
---> Package pe-puppet-license-cli.noarch 0:0.1.6-1.pe.el6 will be installed
---> Package pe-puppet-server.noarch 0:3.3.3.2-1.pe.el6 will be installed
---> Package pe-ruby.x86_64 0:1.9.3.448-11.pe.el6 will be installed
---> Package pe-ruby-augeas.x86_64 0:0.5.0-3.pe.el6 will be installed
---> Package pe-ruby-ldap.x86_64 0:0.9.12-4.pe.el6 will be installed
---> Package pe-ruby-rgen.noarch 0:0.6.5-1.pe.el6 will be installed
---> Package pe-ruby-shadow.x86_64 0:2.2.0-3.pe.el6 will be installed
---> Package pe-ruby-stomp.noarch 0:1.2.9-4.pe.el6 will be installed
---> Package pe-rubycas-server.noarch 0:1.1.15-1.pe.el6 will be installed
---> Package pe-rubygem-deep-merge.noarch 0:1.0.0-3.pe.el6 will be installed
---> Package pe-rubygem-net-ssh.noarch 0:2.1.4-2.pe.el6 will be installed
---> Package pe-rubygem-rack.noarch 0:1.4.5-2.pe.el6 will be installed
---> Package pe-tanukiwrapper.x86_64 0:3.5.9-11.pe.el6 will be installed
--> Running transaction check
---> Package pe-license.noarch 0:0.1.1-1.pe.el6 will be installed
---> Package pe-ruby-mysql.x86_64 0:2.8.2-4.pe.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================
 Package             Arch   Version           Repository                   Size
==================================================================
Installing:
 pe-activemq         noarch 5.8.0-5.pe.el6    puppet-enterprise-installer  39 M
 pe-augeas           x86_64 1.1.0-1.pe.el6    puppet-enterprise-installer 492 k
 pe-bundler          noarch 1.3.5-2.pe.el6    puppet-enterprise-installer 158 k
 pe-certificate-manager
                     noarch 0.4.7-1.pe.el6    puppet-enterprise-installer  27 k
 pe-console          noarch 0.3.10-1.pe.el6   puppet-enterprise-installer 473 k
 pe-console-auth     noarch 1.2.21-1.pe.el6   puppet-enterprise-installer 210 k
 pe-event-inspector  noarch 0.1.0-1.pe.el6    puppet-enterprise-installer 326 k
 pe-facter           x86_64 1.7.3.1-1.pe.el6  puppet-enterprise-installer  86 k
 pe-hiera            noarch 1.2.2.1-1.pe.el6  puppet-enterprise-installer  17 k
 pe-httpd            x86_64 2.2.25-4.pe.el6   puppet-enterprise-installer 2.4 M
 pe-java             x86_64 1.7.0.19-3.pe.el6 puppet-enterprise-installer 128 M
 pe-libevent         x86_64 2.0.13-5.el6      puppet-enterprise-installer 153 k
 pe-libyaml          x86_64 0.1.4-4.el6       puppet-enterprise-installer 190 k
 pe-license-status   noarch 0.1.5-1.pe.el6    puppet-enterprise-installer  24 k
 pe-live-management  noarch 1.2.16-1.pe.el6   puppet-enterprise-installer 184 k
 pe-mcollective      noarch 2.2.4-2.pe.el6    puppet-enterprise-installer  13 k
 pe-mcollective-client
                     noarch 2.2.4-2.pe.el6    puppet-enterprise-installer  27 k
 pe-mcollective-common
                     noarch 2.2.4-2.pe.el6    puppet-enterprise-installer 125 k
 pe-memcached        x86_64 1.4.7-6.pe.el6    puppet-enterprise-installer  65 k
 pe-mod_ssl          x86_64 1:2.2.25-4.pe.el6 puppet-enterprise-installer 248 k
 pe-passenger        x86_64 4.0.18-3.pe.el6   puppet-enterprise-installer 1.4 M
 pe-postgresql       x86_64 9.2.4-8.pe.el6    puppet-enterprise-installer  11 M
 pe-postgresql-server
                     x86_64 9.2.4-8.pe.el6    puppet-enterprise-installer 3.8 M
 pe-puppet           noarch 3.3.3.2-1.pe.el6  puppet-enterprise-installer 1.1 M
 pe-puppet-dashboard x86_64 2.0.14-1.pe.el6   puppet-enterprise-installer  14 M
 pe-puppet-enterprise-release
                     noarch 3.1.3-1.pe.el6    puppet-enterprise-installer  13 k
 pe-puppet-license-cli
                     noarch 0.1.6-1.pe.el6    puppet-enterprise-installer 5.4 k
 pe-puppet-server    noarch 3.3.3.2-1.pe.el6  puppet-enterprise-installer  14 k
 pe-ruby             x86_64 1.9.3.448-11.pe.el6
                                              puppet-enterprise-installer 7.7 M
 pe-ruby-augeas      x86_64 0.5.0-3.pe.el6    puppet-enterprise-installer  21 k
 pe-ruby-ldap        x86_64 0.9.12-4.pe.el6   puppet-enterprise-installer  44 k
 pe-ruby-rgen        noarch 0.6.5-1.pe.el6    puppet-enterprise-installer 238 k
 pe-ruby-shadow      x86_64 2.2.0-3.pe.el6    puppet-enterprise-installer  11 k
 pe-ruby-stomp       noarch 1.2.9-4.pe.el6    puppet-enterprise-installer  48 k
 pe-rubycas-server   noarch 1.1.15-1.pe.el6   puppet-enterprise-installer  75 k
 pe-rubygem-deep-merge
                     noarch 1.0.0-3.pe.el6    puppet-enterprise-installer  74 k
 pe-rubygem-net-ssh  noarch 2.1.4-2.pe.el6    puppet-enterprise-installer 227 k
 pe-rubygem-rack     noarch 1.4.5-2.pe.el6    puppet-enterprise-installer 405 k
 pe-tanukiwrapper    x86_64 3.5.9-11.pe.el6   puppet-enterprise-installer 260 k
Installing for dependencies:
 pe-license          noarch 0.1.1-1.pe.el6    puppet-enterprise-installer 4.7 k
 pe-ruby-mysql       x86_64 2.8.2-4.pe.el6    puppet-enterprise-installer  43 k

Transaction Summary
==================================================================
Install      41 Package(s)

Total download size: 212 M
Installed size: 357 M
Downloading Packages:
------------------------------------------------------------------
Total                                           154 MB/s | 212 MB     00:01
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : pe-puppet-enterprise-release-3.1.3-1.pe.el6.noarch          1/41
  Installing : pe-httpd-2.2.25-4.pe.el6.x86_64                             2/41
  Installing : pe-java-1.7.0.19-3.pe.el6.x86_64                            3/41
  Installing : pe-tanukiwrapper-3.5.9-11.pe.el6.x86_64                     4/41
  Installing : pe-augeas-1.1.0-1.pe.el6.x86_64                             5/41
  Installing : pe-postgresql-9.2.4-8.pe.el6.x86_64                         6/41
  Installing : pe-libevent-2.0.13-5.el6.x86_64                             7/41
  Installing : pe-memcached-1.4.7-6.pe.el6.x86_64                          8/41
  Installing : pe-libyaml-0.1.4-4.el6.x86_64                               9/41
  Installing : pe-ruby-1.9.3.448-11.pe.el6.x86_64                         10/41
  Installing : pe-ruby-stomp-1.2.9-4.pe.el6.noarch                        11/41
  Installing : pe-mcollective-common-2.2.4-2.pe.el6.noarch                12/41
  Installing : pe-rubygem-rack-1.4.5-2.pe.el6.noarch                      13/41
  Installing : pe-license-0.1.1-1.pe.el6.noarch                           14/41
  Installing : pe-passenger-4.0.18-3.pe.el6.x86_64                        15/41
  Installing : pe-facter-1.7.3.1-1.pe.el6.x86_64                          16/41
  Installing : pe-ruby-mysql-2.8.2-4.pe.el6.x86_64                        17/41
  Installing : pe-ruby-shadow-2.2.0-3.pe.el6.x86_64                       18/41
  Installing : pe-ruby-rgen-0.6.5-1.pe.el6.noarch                         19/41
  Installing : pe-puppet-3.3.3.2-1.pe.el6.noarch                          20/41
  Installing : pe-bundler-1.3.5-2.pe.el6.noarch                           21/41
  Installing : pe-puppet-dashboard-2.0.14-1.pe.el6.x86_64                 22/41
  Installing : pe-console-auth-1.2.21-1.pe.el6.noarch                     23/41
  Installing : pe-console-0.3.10-1.pe.el6.noarch                          24/41
  Installing : pe-rubygem-deep-merge-1.0.0-3.pe.el6.noarch                25/41
  Installing : pe-hiera-1.2.2.1-1.pe.el6.noarch                           26/41
  Installing : pe-certificate-manager-0.4.7-1.pe.el6.noarch               27/41
  Installing : pe-license-status-0.1.5-1.pe.el6.noarch                    28/41
  Installing : pe-event-inspector-0.1.0-1.pe.el6.noarch                   29/41
  Installing : pe-rubycas-server-1.1.15-1.pe.el6.noarch                   30/41
  Installing : pe-live-management-1.2.16-1.pe.el6.noarch                  31/41
pe-httpd.worker is stopped
  Installing : pe-puppet-server-3.3.3.2-1.pe.el6.noarch                   32/41
  Installing : pe-puppet-license-cli-0.1.6-1.pe.el6.noarch                33/41
  Installing : pe-mcollective-2.2.4-2.pe.el6.noarch                       34/41
  Installing : pe-mcollective-client-2.2.4-2.pe.el6.noarch                35/41
  Installing : pe-ruby-augeas-0.5.0-3.pe.el6.x86_64                       36/41
  Installing : pe-rubygem-net-ssh-2.1.4-2.pe.el6.noarch                   37/41
  Installing : pe-ruby-ldap-0.9.12-4.pe.el6.x86_64                        38/41
  Installing : pe-postgresql-server-9.2.4-8.pe.el6.x86_64                 39/41
  Installing : pe-activemq-5.8.0-5.pe.el6.noarch                          40/41
  Installing : 1:pe-mod_ssl-2.2.25-4.pe.el6.x86_64                        41/41
  Verifying  : pe-rubygem-rack-1.4.5-2.pe.el6.noarch                       1/41
  Verifying  : pe-ruby-augeas-0.5.0-3.pe.el6.x86_64                        2/41
  Verifying  : pe-facter-1.7.3.1-1.pe.el6.x86_64                           3/41
  Verifying  : pe-java-1.7.0.19-3.pe.el6.x86_64                            4/41
  Verifying  : pe-puppet-enterprise-release-3.1.3-1.pe.el6.noarch          5/41
  Verifying  : pe-ruby-mysql-2.8.2-4.pe.el6.x86_64                         6/41
  Verifying  : pe-certificate-manager-0.4.7-1.pe.el6.noarch                7/41
  Verifying  : pe-postgresql-server-9.2.4-8.pe.el6.x86_64                  8/41
  Verifying  : pe-mcollective-common-2.2.4-2.pe.el6.noarch                 9/41
  Verifying  : pe-hiera-1.2.2.1-1.pe.el6.noarch                           10/41
  Verifying  : pe-ruby-stomp-1.2.9-4.pe.el6.noarch                        11/41
  Verifying  : pe-augeas-1.1.0-1.pe.el6.x86_64                            12/41
  Verifying  : pe-memcached-1.4.7-6.pe.el6.x86_64                         13/41
  Verifying  : pe-event-inspector-0.1.0-1.pe.el6.noarch                   14/41
  Verifying  : pe-license-status-0.1.5-1.pe.el6.noarch                    15/41
  Verifying  : pe-rubygem-net-ssh-2.1.4-2.pe.el6.noarch                   16/41
  Verifying  : 1:pe-mod_ssl-2.2.25-4.pe.el6.x86_64                        17/41
  Verifying  : pe-mcollective-2.2.4-2.pe.el6.noarch                       18/41
  Verifying  : pe-httpd-2.2.25-4.pe.el6.x86_64                            19/41
  Verifying  : pe-ruby-1.9.3.448-11.pe.el6.x86_64                         20/41
  Verifying  : pe-live-management-1.2.16-1.pe.el6.noarch                  21/41
  Verifying  : pe-tanukiwrapper-3.5.9-11.pe.el6.x86_64                    22/41
  Verifying  : pe-rubycas-server-1.1.15-1.pe.el6.noarch                   23/41
  Verifying  : pe-puppet-server-3.3.3.2-1.pe.el6.noarch                   24/41
  Verifying  : pe-console-0.3.10-1.pe.el6.noarch                          25/41
  Verifying  : pe-mcollective-client-2.2.4-2.pe.el6.noarch                26/41
  Verifying  : pe-ruby-shadow-2.2.0-3.pe.el6.x86_64                       27/41
  Verifying  : pe-postgresql-9.2.4-8.pe.el6.x86_64                        28/41
  Verifying  : pe-ruby-rgen-0.6.5-1.pe.el6.noarch                         29/41
  Verifying  : pe-bundler-1.3.5-2.pe.el6.noarch                           30/41
  Verifying  : pe-rubygem-deep-merge-1.0.0-3.pe.el6.noarch                31/41
  Verifying  : pe-passenger-4.0.18-3.pe.el6.x86_64                        32/41
  Verifying  : pe-libevent-2.0.13-5.el6.x86_64                            33/41
  Verifying  : pe-puppet-license-cli-0.1.6-1.pe.el6.noarch                34/41
  Verifying  : pe-libyaml-0.1.4-4.el6.x86_64                              35/41
  Verifying  : pe-license-0.1.1-1.pe.el6.noarch                           36/41
  Verifying  : pe-puppet-dashboard-2.0.14-1.pe.el6.x86_64                 37/41
  Verifying  : pe-console-auth-1.2.21-1.pe.el6.noarch                     38/41
  Verifying  : pe-puppet-3.3.3.2-1.pe.el6.noarch                          39/41
  Verifying  : pe-ruby-ldap-0.9.12-4.pe.el6.x86_64                        40/41
  Verifying  : pe-activemq-5.8.0-5.pe.el6.noarch                          41/41

Installed:
  pe-activemq.noarch 0:5.8.0-5.pe.el6
  pe-augeas.x86_64 0:1.1.0-1.pe.el6
  pe-bundler.noarch 0:1.3.5-2.pe.el6
  pe-certificate-manager.noarch 0:0.4.7-1.pe.el6
  pe-console.noarch 0:0.3.10-1.pe.el6
  pe-console-auth.noarch 0:1.2.21-1.pe.el6
  pe-event-inspector.noarch 0:0.1.0-1.pe.el6
  pe-facter.x86_64 0:1.7.3.1-1.pe.el6
  pe-hiera.noarch 0:1.2.2.1-1.pe.el6
  pe-httpd.x86_64 0:2.2.25-4.pe.el6
  pe-java.x86_64 0:1.7.0.19-3.pe.el6
  pe-libevent.x86_64 0:2.0.13-5.el6
  pe-libyaml.x86_64 0:0.1.4-4.el6
  pe-license-status.noarch 0:0.1.5-1.pe.el6
  pe-live-management.noarch 0:1.2.16-1.pe.el6
  pe-mcollective.noarch 0:2.2.4-2.pe.el6
  pe-mcollective-client.noarch 0:2.2.4-2.pe.el6
  pe-mcollective-common.noarch 0:2.2.4-2.pe.el6
  pe-memcached.x86_64 0:1.4.7-6.pe.el6
  pe-mod_ssl.x86_64 1:2.2.25-4.pe.el6
  pe-passenger.x86_64 0:4.0.18-3.pe.el6
  pe-postgresql.x86_64 0:9.2.4-8.pe.el6
  pe-postgresql-server.x86_64 0:9.2.4-8.pe.el6
  pe-puppet.noarch 0:3.3.3.2-1.pe.el6
  pe-puppet-dashboard.x86_64 0:2.0.14-1.pe.el6
  pe-puppet-enterprise-release.noarch 0:3.1.3-1.pe.el6
  pe-puppet-license-cli.noarch 0:0.1.6-1.pe.el6
  pe-puppet-server.noarch 0:3.3.3.2-1.pe.el6
  pe-ruby.x86_64 0:1.9.3.448-11.pe.el6
  pe-ruby-augeas.x86_64 0:0.5.0-3.pe.el6
  pe-ruby-ldap.x86_64 0:0.9.12-4.pe.el6
  pe-ruby-rgen.noarch 0:0.6.5-1.pe.el6
  pe-ruby-shadow.x86_64 0:2.2.0-3.pe.el6
  pe-ruby-stomp.noarch 0:1.2.9-4.pe.el6
  pe-rubycas-server.noarch 0:1.1.15-1.pe.el6
  pe-rubygem-deep-merge.noarch 0:1.0.0-3.pe.el6
  pe-rubygem-net-ssh.noarch 0:2.1.4-2.pe.el6
  pe-rubygem-rack.noarch 0:1.4.5-2.pe.el6
  pe-tanukiwrapper.x86_64 0:3.5.9-11.pe.el6

Dependency Installed:
  pe-license.noarch 0:0.1.1-1.pe.el6    pe-ruby-mysql.x86_64 0:2.8.2-4.pe.el6

Complete!
## Preserving existing auth.conf
## Setting up puppet master...
## Checking the agent certificate name detection...
## Setting up the database...
Configuring postgresql server...
PostgreSQL server configured.
CREATE TABLESPACE
CREATE ROLE
CREATE DATABASE
CREATE ROLE
CREATE DATABASE
CREATE TABLESPACE
CREATE ROLE
CREATE DATABASE
## Setting up the console...
Performing Puppet dashboard database migration. This may take some time for larger databases...

Performing Puppet console authentication database migration. This may take some time for larger databases...

## Starting http server for puppet master and console.
Setting up auth.conf...
auth.conf updated.
## Creating symbolic links in "/usr/local/bin"...
Generating mcollective password...
Running puppet apply to configure MCollective ...
MCollective configuration is complete ...
Configuring puppetdb...
## Installing packages from repositories...
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: mirrors.supportex.net
 * epel: mirror.i3d.net
 * extras: mirror.yourwebhoster.eu
 * updates: centos.mirror.triple-it.nl
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pe-puppetdb.noarch 0:1.5.1.pe-1.el6 will be installed
---> Package pe-puppetdb-terminus.noarch 0:1.5.1.pe-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================
 Package              Arch   Version          Repository                   Size
==================================================================
Installing:
 pe-puppetdb          noarch 1.5.1.pe-1.el6   puppet-enterprise-installer  19 M
 pe-puppetdb-terminus noarch 1.5.1.pe-1.el6   puppet-enterprise-installer  21 k

Transaction Summary
==================================================================
Install       2 Package(s)

Total download size: 19 M
Installed size: 22 M
Downloading Packages:
------------------------------------------------------------------
Total                                           158 MB/s |  19 MB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : pe-puppetdb-1.5.1.pe-1.el6.noarch                            1/2
PEM files in /etc/puppetlabs/puppetdb/ssl are missing, we will move them into place for you
Copying files: /etc/puppetlabs/puppet/ssl/certs/ca.pem, /etc/puppetlabs/puppet/ssl/private_keys/master-unixmen.pem and /etc/puppetlabs/puppet/ssl/certs/master-unixmen.pem to /etc/puppetlabs/puppetdb/ssl
Backing up /etc/puppetlabs/puppetdb/conf.d/jetty.ini to /etc/puppetlabs/puppetdb/conf.d/jetty.ini.bak.1392983116 before making changes
Updated default settings from package installation for ssl-host in /etc/puppetlabs/puppetdb/conf.d/jetty.ini.
Updated default settings from package installation for ssl-port in /etc/puppetlabs/puppetdb/conf.d/jetty.ini.
Updated default settings from package installation for ssl-key in /etc/puppetlabs/puppetdb/conf.d/jetty.ini.
Updated default settings from package installation for ssl-cert in /etc/puppetlabs/puppetdb/conf.d/jetty.ini.
Updated default settings from package installation for ssl-ca-cert in /etc/puppetlabs/puppetdb/conf.d/jetty.ini.
  Installing : pe-puppetdb-terminus-1.5.1.pe-1.el6.noarch                   2/2
  Verifying  : pe-puppetdb-terminus-1.5.1.pe-1.el6.noarch                   1/2
  Verifying  : pe-puppetdb-1.5.1.pe-1.el6.noarch                            2/2

Installed:
  pe-puppetdb.noarch 0:1.5.1.pe-1.el6
  pe-puppetdb-terminus.noarch 0:1.5.1.pe-1.el6

Complete!
Notice: Compiled catalog for master-unixmen in environment production in 10.55 seconds
Notice: /Stage[main]//Ini_setting[puppetdb-certificate-whitelist]/ensure: created
Notice: /Stage[main]//File[/etc/puppetlabs/puppetdb/certificate-whitelist]/ensure: created
Notice: /Stage[main]//File_line[pe-internal-dashboard]/ensure: created
Notice: /Stage[main]//File_line[master-unixmen]/ensure: created
Notice: /Stage[main]/Pe_puppetdb::Database/File[/opt/puppet/var/lib/pgsql/9.2/data/postgresql_puppet_extras.conf]/content: content changed '{md5}d41d8cd98f00b204e9800998ecf8427e' to '{md5}865c9bb057ac7a3cd7ee2c662dc04ab3'
Notice: /Stage[main]/Postgresql::Server/Service[postgresqld]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Puppetdb::Server/Ini_subsetting['-Xmx']/value: value changed '192m' to '256m'
Notice: /Stage[main]/Puppetdb::Server/Ini_subsetting['-Xms']/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_subprotocol]/value: value changed 'hsqldb' to 'postgresql'
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_report_ttl]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_subname]/value: value changed 'file:/opt/puppet/share/puppetdb/db/db;hsqldb.tx=mvcc;sql.syntax_pgs=true' to '//localhost:5432/pe-puppetdb'
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_pgs]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_gc_interval]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_node_ttl]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_node_purge_ttl]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_psdatabase_username]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_psdatabase_password]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Database_ini/Ini_setting[puppetdb_classname]/value: value changed 'org.hsqldb.jdbcDriver' to 'org.postgresql.Driver'
Notice: /Stage[main]/Puppetdb::Server::Jetty_ini/Ini_setting[puppetdb_host]/ensure: created
Notice: /Stage[main]/Puppetdb::Server::Jetty_ini/Ini_setting[puppetdb_sslhost]/value: value changed 'master-unixmen.arnhem.chello.nl' to 'master-unixmen'
Notice: /Stage[main]/Puppetdb::Server/Service[pe-puppetdb]/ensure: ensure changed 'stopped' to 'running'
Notice: Finished catalog run in 13.42 seconds
PuppetDB configured.
Configuring nodes, classes and groups for mcollective...
Configuration of nodes, classes and groups for mcollective was enqueued...
Configuring classes and groups for PuppetDB master node...
Configuration of classes and groups for PuppetDB master node was enqueued...
Configuring classes and groups for PuppetDB node...
Configuration of classes and groups for PuppetDB node was enqueued...
Configuring license class for the console...
Applying enqueued configurations...
All configurations were successfully applied!

------------------------------------------------------------------
STEP 4: DONE

Thanks for installing Puppet Enterprise!
   Puppet Enterprise has been installed to "/opt/puppet," and its configuration files are located in "/etc/puppetlabs".
## Answers from this session saved to '/root/puppet-enterprise-3.1.3-el-6-x86_64/answers.lastrun.master-unixmen'
## In addition, auto-generated database users and passwords have been saved to "/etc/puppetlabs/installer/database_info.install"
   !!! WARNING: Do not discard these files! All auto-generated database users and passwords have been saved in them. You will need this information to configure the
   console role during installation.
==================================================================
   If you have a firewall running, please ensure the following TCP ports are open: 443, 8140, 61613

The console can be reached at the following URI:
 *  https://master-unixmen

=============

console1

console2

Install the client

Set the Client ip and the master ip on /etc/hosts file.

[root@machine1-unixmen puppet-enterprise-3.1.3-el-6-x86_64]# cat   /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6

192.168.1.146 master-unixmen
192.168.1.145 machine1-unixmen

Install  the  node  from Puppet  enterprise package

[root@machine1unixmen puppet-enterprise-3.1.3-el-6-x86_64]# ./puppet-enterprise-installer
==================================================================
Puppet Enterprise v3.1.3 installer

Puppet Enterprise documentation can be found at http://docs.puppetlabs.com/pe/3.1/

------------------------------------------------------------------
STEP 1: SELECT AND CONFIGURE ROLES

   This installer lets you select and install the various roles required in a Puppet Enterprise deployment: puppet master, console,
   database, cloud provisioner, and puppet agent.

NOTE: when specifying hostnames during installation, use the fully-qualified domain name (foo.example.com) rather than a shortened name (foo).

-> puppet master

   The puppet master serves configurations to a group of puppet agent nodes. This role also provides MCollective's message queue and
   client interface. It should be installed on a robust, dedicated server.

?? Install puppet master? [y/N] N
?? Puppet master hostname to connect to? [Default: puppet] master-unixmen

-> database support

   This role provides database support for PuppetDB and PE's console. PuppetDB is a centralized data service that caches data
   generated by Puppet and provides access to it via a robust API. The console uses data provided by a PostgreSQL server and
   database both of which will be installed along with PuppetDB on the node you specify. You can install database support on the
   same node as the console or on a separate node.

   IMPORTANT: If you choose not to install PuppetDB on at this time, you will be prompted for the host name of the node you intend
   to use to provide database services. Note that you must install database support on that node for the console to function. When
   using a separate node, you should install database support on it BEFORE installing the console role.

?? Install PuppetDB? [y/N] N

-> console

   The console is a web interface where you can view reports, classify nodes, control Puppet runs, and invoke MCollective agents. It
   can be installed on the puppet master's node, but for performance considerations, especially in larger deployments, it can also
   be installed on a separate node.

?? Install the console? [y/N] N

-> cloud provisioner

   The cloud provisioner can create and bootstrap new machine instances and add them to your Puppet infrastructure. It should be
   installed on a trusted node where site administrators have shell access.

?? Install the cloud provisioner? [y/N] N

-> puppet agent

   The puppet agent applies configurations from the puppet master and submits reports and inventory information. It should be
   installed on every node you plan to manage with Puppet.

?? Install puppet agent? [Y/n] Y
?? Puppet agent needs a unique name ("certname") for its certificate; this can be an arbitrary string. Certname for this node?
   [Default: machine1unixmen]

-> Convenience Links

   The selected Puppet software will be installed into "/opt/puppet", which may not be included in your default shell PATH. For ease
   of use, this installer can create symbolic links to these executables in "/usr/local/bin".

?? Create symbolic links to Puppet executables in "/usr/local/bin"? [Y/n]

------------------------------------------------------------------
STEP 2: CONFIRM PLAN

You have selected to install the following components (and their dependencies)
* Puppet Agent

?? Perform installation? [Y/n] Y
## Answers saved in the following files: /root/puppet-enterprise-3.1.3-el-6-x86_64/answers.lastrun.machine1unixmen and /etc/puppetlabs/installer/answers.install

==================================================================
STEP 3: INSTALL PACKAGES

## Installing packages from repositories...
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: ftp.nluug.nl
 * extras: mirror.1000mbps.com
 * updates: ftp.nluug.nl
Setting up Install Process
Package pciutils-3.1.10-2.el6.x86_64 already installed and latest version
Package 1:pkgconfig-0.23-9.1.el6.x86_64 already installed and latest version
Package zlib-1.2.3-29.el6.x86_64 already installed and latest version
Package virt-what-1.11-1.2.el6.x86_64 already installed and latest version
Package which-2.19-6.el6.x86_64 already installed and latest version
Package libxml2-2.7.6-14.el6.x86_64 already installed and latest version
Package 1:dmidecode-2.11-2.el6.x86_64 already installed and latest version
Package cronie-1.4.4-12.el6.x86_64 already installed and latest version
Package net-tools-1.60-110.el6_2.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package pe-augeas.x86_64 0:1.1.0-1.pe.el6 will be installed
---> Package pe-facter.x86_64 0:1.7.3.1-1.pe.el6 will be installed
---> Package pe-hiera.noarch 0:1.2.2.1-1.pe.el6 will be installed
---> Package pe-libyaml.x86_64 0:0.1.4-4.el6 will be installed
---> Package pe-mcollective.noarch 0:2.2.4-2.pe.el6 will be installed
---> Package pe-mcollective-common.noarch 0:2.2.4-2.pe.el6 will be installed
---> Package pe-puppet.noarch 0:3.3.3.2-1.pe.el6 will be installed
---> Package pe-puppet-enterprise-release.noarch 0:3.1.3-1.pe.el6 will be installed
---> Package pe-ruby.x86_64 0:1.9.3.448-11.pe.el6 will be installed
---> Package pe-ruby-augeas.x86_64 0:0.5.0-3.pe.el6 will be installed
---> Package pe-ruby-ldap.x86_64 0:0.9.12-4.pe.el6 will be installed
---> Package pe-ruby-rgen.noarch 0:0.6.5-1.pe.el6 will be installed
---> Package pe-ruby-shadow.x86_64 0:2.2.0-3.pe.el6 will be installed
---> Package pe-ruby-stomp.noarch 0:1.2.9-4.pe.el6 will be installed
---> Package pe-rubygem-deep-merge.noarch 0:1.0.0-3.pe.el6 will be installed
---> Package pe-rubygem-net-ssh.noarch 0:2.1.4-2.pe.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================
 Package           Arch   Version             Repository                   Size
==================================================================
Installing:
 pe-augeas         x86_64 1.1.0-1.pe.el6      puppet-enterprise-installer 492 k
 pe-facter         x86_64 1.7.3.1-1.pe.el6    puppet-enterprise-installer  86 k
 pe-hiera          noarch 1.2.2.1-1.pe.el6    puppet-enterprise-installer  17 k
 pe-libyaml        x86_64 0.1.4-4.el6         puppet-enterprise-installer 190 k
 pe-mcollective    noarch 2.2.4-2.pe.el6      puppet-enterprise-installer  13 k
 pe-mcollective-common
                   noarch 2.2.4-2.pe.el6      puppet-enterprise-installer 125 k
 pe-puppet         noarch 3.3.3.2-1.pe.el6    puppet-enterprise-installer 1.1 M
 pe-puppet-enterprise-release
                   noarch 3.1.3-1.pe.el6      puppet-enterprise-installer  13 k
 pe-ruby           x86_64 1.9.3.448-11.pe.el6 puppet-enterprise-installer 7.7 M
 pe-ruby-augeas    x86_64 0.5.0-3.pe.el6      puppet-enterprise-installer  21 k
 pe-ruby-ldap      x86_64 0.9.12-4.pe.el6     puppet-enterprise-installer  44 k
 pe-ruby-rgen      noarch 0.6.5-1.pe.el6      puppet-enterprise-installer 238 k
 pe-ruby-shadow    x86_64 2.2.0-3.pe.el6      puppet-enterprise-installer  11 k
 pe-ruby-stomp     noarch 1.2.9-4.pe.el6      puppet-enterprise-installer  48 k
 pe-rubygem-deep-merge
                   noarch 1.0.0-3.pe.el6      puppet-enterprise-installer  74 k
 pe-rubygem-net-ssh
                   noarch 2.1.4-2.pe.el6      puppet-enterprise-installer 227 k

Transaction Summary
==================================================================
Install      16 Package(s)

Total download size: 10 M
Installed size: 36 M
Downloading Packages:
------------------------------------------------------------------
Total                                            36 MB/s |  10 MB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : pe-puppet-enterprise-release-3.1.3-1.pe.el6.noarch          1/16
  Installing : pe-libyaml-0.1.4-4.el6.x86_64                               2/16
  Installing : pe-ruby-1.9.3.448-11.pe.el6.x86_64                          3/16
  Installing : pe-ruby-stomp-1.2.9-4.pe.el6.noarch                         4/16
  Installing : pe-mcollective-common-2.2.4-2.pe.el6.noarch                 5/16
  Installing : pe-facter-1.7.3.1-1.pe.el6.x86_64                           6/16
  Installing : pe-rubygem-deep-merge-1.0.0-3.pe.el6.noarch                 7/16
  Installing : pe-ruby-shadow-2.2.0-3.pe.el6.x86_64                        8/16
  Installing : pe-ruby-rgen-0.6.5-1.pe.el6.noarch                          9/16
  Installing : pe-augeas-1.1.0-1.pe.el6.x86_64                            10/16
  Installing : pe-ruby-augeas-0.5.0-3.pe.el6.x86_64                       11/16
  Installing : pe-puppet-3.3.3.2-1.pe.el6.noarch                          12/16
  Installing : pe-hiera-1.2.2.1-1.pe.el6.noarch                           13/16
  Installing : pe-mcollective-2.2.4-2.pe.el6.noarch                       14/16
  Installing : pe-ruby-ldap-0.9.12-4.pe.el6.x86_64                        15/16
  Installing : pe-rubygem-net-ssh-2.1.4-2.pe.el6.noarch                   16/16
  Verifying  : pe-ruby-augeas-0.5.0-3.pe.el6.x86_64                        1/16
  Verifying  : pe-facter-1.7.3.1-1.pe.el6.x86_64                           2/16
  Verifying  : pe-ruby-ldap-0.9.12-4.pe.el6.x86_64                         3/16
  Verifying  : pe-rubygem-deep-merge-1.0.0-3.pe.el6.noarch                 4/16
  Verifying  : pe-mcollective-2.2.4-2.pe.el6.noarch                        5/16
  Verifying  : pe-mcollective-common-2.2.4-2.pe.el6.noarch                 6/16
  Verifying  : pe-libyaml-0.1.4-4.el6.x86_64                               7/16
  Verifying  : pe-puppet-enterprise-release-3.1.3-1.pe.el6.noarch          8/16
  Verifying  : pe-puppet-3.3.3.2-1.pe.el6.noarch                           9/16
  Verifying  : pe-hiera-1.2.2.1-1.pe.el6.noarch                           10/16
  Verifying  : pe-ruby-stomp-1.2.9-4.pe.el6.noarch                        11/16
  Verifying  : pe-augeas-1.1.0-1.pe.el6.x86_64                            12/16
  Verifying  : pe-rubygem-net-ssh-2.1.4-2.pe.el6.noarch                   13/16
  Verifying  : pe-ruby-shadow-2.2.0-3.pe.el6.x86_64                       14/16
  Verifying  : pe-ruby-1.9.3.448-11.pe.el6.x86_64                         15/16
  Verifying  : pe-ruby-rgen-0.6.5-1.pe.el6.noarch                         16/16

Installed:
  pe-augeas.x86_64 0:1.1.0-1.pe.el6
  pe-facter.x86_64 0:1.7.3.1-1.pe.el6
  pe-hiera.noarch 0:1.2.2.1-1.pe.el6
  pe-libyaml.x86_64 0:0.1.4-4.el6
  pe-mcollective.noarch 0:2.2.4-2.pe.el6
  pe-mcollective-common.noarch 0:2.2.4-2.pe.el6
  pe-puppet.noarch 0:3.3.3.2-1.pe.el6
  pe-puppet-enterprise-release.noarch 0:3.1.3-1.pe.el6
  pe-ruby.x86_64 0:1.9.3.448-11.pe.el6
  pe-ruby-augeas.x86_64 0:0.5.0-3.pe.el6
  pe-ruby-ldap.x86_64 0:0.9.12-4.pe.el6
  pe-ruby-rgen.noarch 0:0.6.5-1.pe.el6
  pe-ruby-shadow.x86_64 0:2.2.0-3.pe.el6
  pe-ruby-stomp.noarch 0:1.2.9-4.pe.el6
  pe-rubygem-deep-merge.noarch 0:1.0.0-3.pe.el6
  pe-rubygem-net-ssh.noarch 0:2.1.4-2.pe.el6

Complete!
## Checking the agent certificate name detection...
## Setting up puppet agent...
## Creating symbolic links in "/usr/local/bin"...

------------------------------------------------------------------
STEP 4: DONE

Thanks for installing Puppet Enterprise!
   Puppet Enterprise has been installed to "/opt/puppet," and its configuration files are located in "/etc/puppetlabs".
## Answers from this session saved to '/root/puppet-enterprise-3.1.3-el-6-x86_64/answers.lastrun.machine1unixmen'

==================================================================
   If you have a firewall running, please ensure outbound connections to are allowed via the following TCP ports: 8140, 61613

==================================================================[root@machine1unixmen puppet-enterprise-3.1.3-el-6-x86_64]#

Add the agent node to the master

From The master Site under pending you will see:

console3

console4
Now Deploy Modules from the master and enjoy.

For questions please refer to our Q/A forum at : http://ask.unixmen.com/

Share this Article: Facebook0Google+3Twitter13LinkedIn0Reddit0Pinterest0StumbleUpon1Digg